# values for the sub-central cluster instance
existdb:
  image:
    tag: "1ce49b55-data" # set by CI
  imagePullSecrets:
    - name: ahiqar-harbor-imagepullsecret
  livenessProbe:
    enabled: false
  podAnnotations:
    vault.hashicorp.com/agent-inject: 'true'
    vault.hashicorp.com/role: ahiqar
    vault.hashicorp.com/agent-inject-secret-secret: '/vault'
    vault.hashicorp.com/agent-inject-template-secret: |
      {{ with secret "ahiqar/data/main" }}
        {{ range $k, $v := .Data.data }}
            {{ $k }}={{ $v }}
        {{ end }}
      {{ end }}
  env:
    - name: JAVA_TOOL_OPTIONS
      value: "-XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=/exist/data -Xmx12g -Dfile.encoding=UTF8 -Dsun.jnu.encoding=UTF-8 -Djava.awt.headless=true -Dorg.exist.db-connection.cacheSize=256M -Dorg.exist.db-connection.pool.max=20 -Dlog4j.configurationFile=/exist/etc/log4j2.xml -Dexist.home=/exist -Dexist.configurationFile=/exist/etc/conf.xml -Djetty.home=/exist -Dexist.jetty.config=/exist/etc/jetty/standard.enabled-jetty-configs -XX:+UseG1GC -XX:+UseStringDeduplication -XX:+UseContainerSupport -XX:MaxRAMPercentage=75.0 -XX:+ExitOnOutOfMemoryError -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=5005"
  resources:
    limits:
      cpu: 2000m
      memory: 13Gi
    requests:
      cpu: 500m
      memory: 9Gi
  ingress:
    enabled: true
    className: "nginx"
    annotations:
      ingress.kubernetes.io/ssl-redirect: "true"
      cert-manager.io/cluster-issuer: geanttcs-prod
      nginx.ingress.kubernetes.io/rewrite-target: /exist/restxq/$1
      nginx.ingress.kubernetes.io/use-regex: "true"
      nginx.ingress.kubernetes.io/enable-cors: "true"
      nginx.ingress.kubernetes.io/proxy-connect-timeout: "75s"
      nginx.ingress.kubernetes.io/proxy-send-timeout: "75s"
      nginx.ingress.kubernetes.io/proxy-read-timeout: "120s"
    hosts:
      - host: api.stage.ahiqar.sub.uni-goettingen.de
        paths:
          - path: /(.*)
            pathType: ImplementationSpecific
            service: ahiqar-existdb
            port: 8080
    tls:
      - secretName: ahiqar-tls
        hosts:
          - api.stage.ahiqar.sub.uni-goettingen.de

sedra-api:
  image:
    tag: "69858a94" # set by CI

website:
  image:
    tag: "stage-f8929a88" # set by CI
  imagePullSecrets:
    - name: ahiqar-harbor-imagepullsecret
  ingress:
    enabled: true
    className: "nginx"
    annotations:
      ingress.kubernetes.io/ssl-redirect: "true"
      cert-manager.io/cluster-issuer: geanttcs-prod
    hosts:
      - host: stage.ahiqar.sub.uni-goettingen.de
        paths:
          - path: /
            pathType: Prefix
            service: ahiqar-website
            port: 80
    tls:
      - secretName: ahiqar-website-tls
        hosts:
          - stage.ahiqar.sub.uni-goettingen.de
